Package org.apache.jmeter.reporters

# Class ResultCollectorHelper

java.lang.Object
org.apache.jmeter.reporters.ResultCollectorHelper

public class ResultCollectorHelper extends Object
Helper class to allow TestResultWrapperConverter to send samples directly to the visualiser if required.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultCollectorHelper(ResultCollector resultCollector, Visualizer visualizer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(SampleResult sample)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResultCollectorHelper

    public ResultCollectorHelper(ResultCollector resultCollector, Visualizer visualizer)

- ## Method Details

  - ### add

    public void add(SampleResult sample)